unit Demo1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  SpritesPad, ASprite, ExtCtrls, StdCtrls;

type
  TDemo = class(TForm)
    SpritesPad1: TSpritesPad;
    Thorus: TASprite;
    SpritesPad2: TSpritesPad;
    Press: TASprite;
    Timer1: TTimer;
    Panel1: TPanel;
    Button1: TButton;
    Button2: TButton;
    Label1: TLabel;
    Button3: TButton;
    Head: TASprite;
    procedure Timer1Timer(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure PressClick(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  Demo: TDemo;
  TDx, TDy, PX : Integer; 
  Check:boolean;
  implementation

{$R *.DFM}

procedure TDemo.Timer1Timer(Sender: TObject);
var n:integer;
begin
Thorus.X:=Thorus.X+TDx;
If (Thorus.X>SpritesPad1.Width-Thorus.Width) or (Thorus.X<0) then TDx:=-TDx;
Thorus.Y:=Thorus.Y+TDy;
If (Thorus.Y>SpritesPad1.Height-Thorus.height) or (Thorus.Y<0) then TDy:=-TDy;
n:=SpritesPad1.X;
SpritesPad1.X:=SpritesPad1.X+PX;
if n=SpritesPad1.X then PX:=-PX;
If not Press.Animated then Press.SetFrame(0);
if Check and Thorus.CollisionWith(Head) Then
begin
Thorus.Active:=False;
Check:=False;
end;
SpritesPad1.UpdateAll;
SpritesPad2.UpdateSprites;
end;

procedure TDemo.FormCreate(Sender: TObject);
begin
 TDx:=3;
 TDy:=4;
 PX:=1;
 Check:=False;
 end;

procedure TDemo.PressClick(Sender: TObject);
begin
Press.Animated:=True;
end;

procedure TDemo.Button3Click(Sender: TObject);
begin
Head.IncFrame;
end;

procedure TDemo.Button1Click(Sender: TObject);
begin
Check:=True;
end;

procedure TDemo.Button2Click(Sender: TObject);
begin
Thorus.Active:=True;
end;

end.
